package com.koobietech.eas.common.utils;


import java.util.Arrays;
import java.util.HashSet;
import java.util.Set;

class PasswordManagerTest {


    public static void main(String[] args) {

        /**
         * 需求是 按照传入的数据为准, 但是数据库已存在的 不能清除, 只能修改.
         * 以往是 清除数据库的数据, 全部插入新的数据, 这样会丢失之前的数据的配置.
         *
         * 取出数据库已存在的数据
         * 用传入的数据做对比,  存在的 更新, 不存在的 删除!
         * 之后 新数据 不存在的 插入
         */

        Integer[] arr1  = {1,2,3,4,5,6};  //数据库的数据
        Integer[] arr2  = {1,3,5,7,9};    //更新后的数据  135更新  79新增 246 删除

        //insert 从set2中删除在set1中出现的元素
        Set<Integer> set1 = new HashSet<>(Arrays.asList(arr1));
        Set<Integer> set2 = new HashSet<>(Arrays.asList(arr2));
        set2.removeAll(set1);
        Integer[] studentAdd = set2.toArray(new Integer[0]);
        for (Integer i : studentAdd) {
            System.out.println(i);
        }
        System.out.println( "-------------------" );
        //delete 从set1中删除在set2中出现的元素
        Set<Integer> set11 = new HashSet<>(Arrays.asList(arr1));
        Set<Integer> set22 = new HashSet<>(Arrays.asList(arr2));
        set11.removeAll(set22);
        Integer[] studentDel = set11.toArray(new Integer[0]);
        for (Integer i : studentDel) {
            System.out.println(i);
        }
        //update
        System.out.println( "-------------------" );
        Set<Integer> set111 = new HashSet<>(Arrays.asList(arr1));
        Set<Integer> set222 = new HashSet<>(Arrays.asList(arr2));
        set111.retainAll(set222);
        Integer[] studentUpdate = set111.toArray(new Integer[0]);
        for (Integer i : studentUpdate) {
            System.out.println(i);
        }


    }

}