package com.koobietech.eas.service;

import com.koobietech.eas.common.result.PageDataResult;
import com.koobietech.eas.mbg.model.EasArcTlsStudents;
import com.koobietech.eas.mbg.model.EasSysStudent;

import java.io.InputStream;
import java.util.List;

/**
 * @author lc
 */
public interface EasStuProfileService {
    boolean add(EasArcTlsStudents easArcTlsStudents);

    PageDataResult query(EasArcTlsStudents studentDto, Integer pageNum, Integer pageSize);

    boolean update(EasArcTlsStudents studentDto);

    boolean delete(int id);

    boolean importExcel(InputStream inputStream);

    List<EasSysStudent> getAll();

    List<EasSysStudent> getStudentByKeyword(String keyword);
}
